# IRsNtCacheData Interface Reference

Inherits IRsObject.

List of all members.

## Public Member Functions
HRESULT | SetNetworkStatus ([in] VARIANT vStatus)
HRESULT | GetClientStatus ([out, retval] IRdNtClientStatus **ppClientStatus)
HRESULT | GetServerStatus ([out, retval] IRdNtServerStatus **ppServerStatus)
## Properties
IRdNtClientsList ** | ClientList`[get]`
IRdNtClientsList * | ClientList`[set]`
IRdNtClientsUpdInfo ** | ClientsUpdInfo`[get]`
IRdNtClientsUpdInfo * | ClientsUpdInfo`[set]`
IRdNtClientsVoIPInfo ** | ClientsVoIPInfo`[get]`
IRdNtClientsVoIPInfo * | ClientsVoIPInfo`[set]`
IRdNtChat ** | ChatInfo`[get]`
IRdNtChat * | ChatInfo`[set]`
IRsNode ** | NetworkNode`[get]`
IRsNode * | NetworkNode`[set]`
BSTR * | Status`[get]`
BSTR | Status`[set]`
RtDataStatus * | ChatInfoDataStatus`[get]`
RtDataStatus | ChatInfoDataStatus`[set]`
RtDataStatus * | ClientListDataStatus`[get]`
RtDataStatus | ClientListDataStatus`[set]`
RtDataStatus * | ClientsUpdInfoDataStatus`[get]`
RtDataStatus | ClientsUpdInfoDataStatus`[set]`
RtDataStatus * | ClientsVoIPInfoDataStatus`[get]`
RtDataStatus | ClientsVoIPInfoDataStatus`[set]`
RtDWORD * | ClientVoIPStatus`[get]`
RtDWORD | ClientVoIPStatus`[set]`

## Detailed Description

The RsNtCacheData object store information displaied by Network View for fast access.

## Member Function Documentation

HRESULT IRsNtCacheData::SetNetworkStatus | ( | [in] VARIANT | vStatus | ) |

SetNetworkStatus. Store current client/server network status.
It contains the same data as in CON_NETWORK_NTCLIENT_STATUS or CON_NETWORK_NTSERVER_STATUS connectors.

Parameters:

  | vStatus | [in] - Specify the current network status.

HRESULT IRsNtCacheData::GetClientStatus | ( | [out, retval] IRdNtClientStatus ** | ppClientStatus | ) |

GetClientStatus. Get client's status. The information is extracted from info set by SetNetworkStatus.

Returns:
  ppClientStatus [out,retval] - Returns client network status.

HRESULT IRsNtCacheData::GetServerStatus | ( | [out, retval] IRdNtServerStatus ** | ppServerStatus | ) |

GetServerStatus. Get server's status. The information is extracted from info set by SetNetworkStatus

Returns:
  ppServerStatus [out,retval] - Returns server network status.

## Property Documentation

IRdNtClientsList** IRsNtCacheData::ClientList`[get]`

ClientList. Use this property to get list of clients.

Returns:
  pVal [out,retval] - Returns RdNtClientsList object.

IRdNtClientsList* IRsNtCacheData::ClientList`[set]`

ClientList. Use this property to set list of clients.

Parameters:

  | newVal | [in] - Specify IRdNtClientsList with list of clients .

IRdNtClientsUpdInfo** IRsNtCacheData::ClientsUpdInfo`[get]`

ClientsUpdInfo. Get often changed clients' information.

Returns:
  pVal [out,retval] - Returns RdNtClientsUpdInfo list of client's info changes.

IRdNtClientsUpdInfo* IRsNtCacheData::ClientsUpdInfo`[set]`

ClientsUpdInfo. Set often changed clients' information.

Parameters:

  | newVal | [in] - Specify clients' update info RdNtClientsUpdInfo.

IRdNtClientsVoIPInfo** IRsNtCacheData::ClientsVoIPInfo`[get]`

Note: voip not available in current version.
ClientsVoIPInfo. Get VoIP clients' info.

Returns:
  pVal [out,retval] - Returns VoIP info in RdNtClientsVoIPInfo object.

IRdNtClientsVoIPInfo* IRsNtCacheData::ClientsVoIPInfo`[set]`

Note: voip not available in current version.
ClientsVoIPInfo. Set VoIP clients' info.

Parameters:

  | newVal | [in] - Specify clients' VoIP info in RdNtClientsVoIPInfo object.

IRdNtChat** IRsNtCacheData::ChatInfo`[get]`

ChatInfo. Get clients' chat info.

Returns:
  pVal [out,retval] - Returns clients' chat info in RdNtChat object.

IRdNtChat* IRsNtCacheData::ChatInfo`[set]`

ChatInfo. Set clients' chat info.

Parameters:

  | newVal | [in] - Specify clients' chat info in RdNtChat object.

IRsNode** IRsNtCacheData::NetworkNode`[get]`

NetworkNode. Property store node that represent client or server which should be displayed by the Network View.

Returns:
  pVal [out,retval] - Returns node representing actual server/client.

IRsNode* IRsNtCacheData::NetworkNode`[set]`

NetworkNode. Property store node that represent client or server which should be displayed by the Network View.

Parameters:

  | newVal | [in] - Specify node representing actual server/client.

BSTR* IRsNtCacheData::Status`[get]`

Status. Property store current server/client object status.

Returns:
  pVal [out,retval] - Returns current server/client object status.

BSTR IRsNtCacheData::Status`[set]`

Status. Property store current server/client object status.

Parameters:

  | newVal | [in] - Specify current server/client object status.

RtDataStatus* IRsNtCacheData::ChatInfoDataStatus`[get]`

ChatInfoDataStatus. Property store chat info data status (time stamps for ChatInfo property).

Returns:
  pVal [out,retval] - Returns chat info data status.

RtDataStatus IRsNtCacheData::ChatInfoDataStatus`[set]`

ChatInfoDataStatus. Property store chat info data status (time stamps for ChatInfo property).

Parameters:

  | newVal | [in] - Specify chat info data status.

RtDataStatus* IRsNtCacheData::ClientListDataStatus`[get]`

ClientListDataStatus. Property store client list data status (time stamps for ClientList property).

Returns:
  pVal [out,retval] - Returns client list data status.

RtDataStatus IRsNtCacheData::ClientListDataStatus`[set]`

ClientListDataStatus. Property store client list data status (time stamps for ClientList property).

Parameters:

  | newVal | [in] - Specify client list data status.

RtDataStatus* IRsNtCacheData::ClientsUpdInfoDataStatus`[get]`

ClientsUpdInfoDataStatus. Property store client update info data status (time stamps for ClientsUpdInfo property).

Returns:
  pVal [out,retval] - Returns client update info data status.

RtDataStatus IRsNtCacheData::ClientsUpdInfoDataStatus`[set]`

ClientsUpdInfoDataStatus. Property store client update info data status (time stamps for ClientsUpdInfo property).

Parameters:

  | newVal | [in] - Specify client update info data status.

RtDataStatus* IRsNtCacheData::ClientsVoIPInfoDataStatus`[get]`

Note: voip not available in current version.
ClientsVoIPInfoDataStatus. Property store clients VoIP info data status (time stamps for ClientsVoIPInfo property).

Returns:
  pVal [out,retval] - Returns clients VoIP info data status.

RtDataStatus IRsNtCacheData::ClientsVoIPInfoDataStatus`[set]`

Note: voip not available in current version.
ClientsVoIPInfoDataStatus. Property store clients VoIP info data status (time stamps for ClientsVoIPInfo property).

Parameters:

  | newVal | [in] - Specify clients VoIP info data status.

RtDWORD * IRsNtCacheData::ClientVoIPStatus`[get]`

Note: voip not available in current version.
ClientVoIPStatus. Property store VoIP status. For for info see NtClntVoIPStatus.

Returns:
  pVal [out,retval] - Returns actual VoIP status.

RtDWORD IRsNtCacheData::ClientVoIPStatus`[set]`

Note: voip not available in current version.
ClientVoIPStatus. Property store VoIP status. For for info see NtClntVoIPStatus.

Parameters:

  | newVal | [in] - Specify actual VoIP status.